#!/bin/bash
# Function : Mute/Unmute Microphone
# Depends  : alsa-utils

# Copy this directly into the gnome shortcut manager:
# bash -c "notify-send \"Microphone\" \"The microphone is now `amixer set Capture toggle | grep \"Front\" | tail -n 1 | sed -e 's/.*\[\(.*\)\]/\1/'`.\"  --hint int:transient:1 --icon=file:///usr/share/icons/Adwaita/scalable/devices/audio-input-microphone-symbolic.svg"

# Or link in this script to also toggle the SCROLL-Lock LED. (on when muted)
onoff=$(amixer set Capture toggle | grep 'Front' | tail -n 1 | sed -e 's/.*\[\(.*\)\]/\1/');
dash=$(if [ "$onoff" == 'on' ]; then echo -ne '-'; fi);
xset ${dash}led;
notify-send "Microphone" "The microphone is now $onoff." --hint int:transient:1 --icon=file:///usr/share/icons/Adwaita/scalable/devices/audio-input-microphone-symbolic.svg
